Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1863046 - spams user log with error messages
Summary: spams user log with error messages
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1717946 (view as bug list)
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2020-08-03 14:31 UTC by Bill Nottingham
Modified: 2021-05-25 16:36 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:36:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
support file (deleted)
2020-08-03 15:59 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2020-08-03 14:31:24 UTC
Description of problem:

Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(742,50369)
Aug 03 10:27:04 nostromo firefox.desktop[48351]: [GFX1-]: Failed to allocate a surface due to invalid size (DTD) Size(741,50369)

[notting@nostromo: ~]$ uptime
 10:30:29 up 13:16,  1 user,  load average: 1.02, 1.51, 1.67
[notting@nostromo: ~]$ journalctl  -b --user | grep "Failed to allocate a surface" | wc -l
289628

Version-Release number of selected component (if applicable):

firefox-79.0-3.fc32.x86_64

How reproducible:

Not sure, just noticed it when looking in the logs for something else

Additional info:

Comment 1 Bill Nottingham 2020-08-03 14:32:26 UTC
Update: appears to come from a foreground bluejeans tab

Comment 2 Martin Stransky 2020-08-03 15:27:51 UTC
Can you attach your about:support please?
Thanks.

Comment 3 Martin Stransky 2020-08-03 15:28:33 UTC
*** Bug 1717946 has been marked as a duplicate of this bug. ***

Comment 4 Bill Nottingham 2020-08-03 15:59:53 UTC
Created attachment 1703772 [details]
support file

Comment 5 Martin Stransky 2020-08-06 09:16:05 UTC
Hm, I unable to reproduce. But the about:support 

Can you try to create a new profile (run 'firefox -P' on terminal) and then check BJ test page (https://bluejeans.com/111/webrtc), if you see it?

Comment 6 Bill Nottingham 2020-08-08 04:01:31 UTC
Works without error on both a fresh profile and my profile on https://bluejeans.com/111/

Fails on both a fresh profile and my profile on *other* bluejeans rooms. So the test room is doing something different.

Comment 7 Martin Stransky 2020-08-08 08:55:48 UTC
Hm, I'm not sure how to reproduce then...I'll try to check others BJ rooms when I have a chance.

Comment 8 Martin Stransky 2020-09-04 13:17:17 UTC
It's caused by oversized html element on the page which can't be rendered into layers. But Firefox should not throw such messages.

Comment 9 Fedora Program Management 2021-04-29 16:35:00 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2021-05-25 16:36:58 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.